# Log Param

Launch stage: GA

`POST /api/2.0/mlflow/runs/log-parameter`

Logs a param used for a run. A param is a key-value pair (string key,
 string value). Examples include hyperparameters used for ML model training and
 constant dates and values used in an ETL pipeline. A param can be logged only once for a run.

API scopes: mlflow

## Request body

- `run_id` (string, optional)
  ID of the run under which to log the param. Must be provided.
- `run_uuid` (string, optional)
  [Deprecated, use `run_id` instead] ID of the run under which to log the param. This field will
   be removed in a future MLflow version.
- `key` (string, optional)
  Name of the param. Maximum size is 255 bytes.
- `value` (string, optional)
  String value of the param being logged. Maximum size is 500 bytes.

## Response

```json
{}
```

